package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.step.method.stationpm;

import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesContainerPackageDetailContext;
import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesContainerPackageDetailStationContext;
import cn.estsh.i3plus.pojo.mes.bean.MesStation;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesStationMatchPsProcessMethodStrategyStepService {

    @ApiOperation(value = "【原料站点】获取容器条码上料明细表信息")
    default MesContainerPackageDetailStationContext getContainerPackageDetailStationContext(String organizeCode, List<MesStation> stationList) { return null; }

    @ApiOperation(value = "【原料站点】获取容器条码上料明细表信息")
    default MesContainerPackageDetailStationContext getContainerPackageDetailStationContext(IMesStationMatchPsProcessMethodStrategyStepService decoratorService, String organizeCode, List<MesStation> stationList) { return null; }

    @ApiOperation(value = "【原料站点】获取进料主条码信息")
    default List<MesContainerPackageDetailContext> getContainerPackageDetailContext(StationRequestBean reqBean, MesContainerPackageDetailStationContext context, Integer cavity, Boolean isExistProductionPart) { return null; }

    @ApiOperation(value = "【原料站点】验证进料主条码个数是否满足腔数 【count1=进料主条码个数   count2=加工规则对象个数   count3=产成零件个数[腔数]  cavity=设备腔数】")
    default Boolean checkIsMatchCavity(Integer count1, Integer count2, Integer count3, Integer cavity, Boolean isBeforeCheck) { return true; }

    @ApiOperation(value = "【原料站点】锁定进料主条码信息")
    default void dispatchContainerPackageDetailPs(StationRequestBean reqBean, List<MesContainerPackageDetailContext> needCachedList) {}

}
